Bug 1410100 - Package arequal-checksum for broader community use
Summary: Package arequal-checksum for broader community use
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: packaging
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 13:05 UTC by Shyamsundar
Modified: 2020-03-12 14:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 14:49:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23252 0 None Abandoned [WIP]Package arequal-checksum for broader community use 2019-11-16 19:30:28 UTC

Description Shyamsundar 2017-01-04 13:05:37 UTC
In the gluster community meeting there was a discussion around how we should package arequal-checksum.c for use in our internal tests.

The core of the discussion was, we should package this as a tool, so that a much wider audience could use it, than host a built version in https://copr.fedorainfracloud.org/coprs/nigelbabu/arequal/

This bug is being raised to request this packaging.

1) Ensure arequal-checksum.c (in, tests/utils) in our gluster repository is the same as the one in github, https://github.com/raghavendrabhat/arequal (or decide which is the one we want)

2) Build and package this in some devel or test RPM so that test machines or other distros can later leverage the same tool.

Comment 2 Niels de Vos 2017-01-04 13:24:50 UTC
I guess we'll move arequal-checksum.c from tests/utils/ to extras/ and install it by default and package it in glusterfs-devel. This would allow source installations to have it immediately, and developers or users that want to run tests can install it when needed.

Kaleb, this acceptable to you too?

Comment 3 Kaleb KEITHLEY 2017-01-05 10:28:32 UTC
I don't have any objection to it.

Comment 4 Worker Ant 2019-08-18 12:04:33 UTC
REVIEW: https://review.gluster.org/23252 ([WIP]Package arequal-checksum for broader community use) posted (#1) for review on master by Rishubh Jain

Comment 6 Worker Ant 2020-03-12 14:49:47 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/1073, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.